{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2024-08-28T06:03:14Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.27.7, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "externalDocumentRefs": [
        {
            "externalDocumentId": "DocumentRef-qtbase",
            "spdxDocument": "https://qt.io/spdxdocs/qtbase-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "eea3aac8354e71d8475cbfadc84b5db40d733568"
            }
        }
    ],
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        }
    ],
    "name": "qtconnectivity-6.8.0",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qtconnectivity-6.8.0",
    "packages": [
        {
            "SPDXID": "SPDXRef-compiler",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Clang",
            "primaryPackagePurpose": "APPLICATION",
            "summary": "The compiler as identified by CMake, running on Windows (AMD64)",
            "supplier": "Organization: Anonymous",
            "versionInfo": "17.0.2"
        },
        {
            "SPDXID": "SPDXRef-Package-qtconnectivity",
            "builtDate": "2024-08-28T06:03:14Z",
            "comment": "Built by CMake 3.27.7 with RelWithDebInfo configuration for Android (armv7-a)",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtconnectivity.git",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtconnectivity@6.8.0",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": true,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "qtconnectivity",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "a6c498d26bab88cd6f3ee0968462ace3bd565738"
            },
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtconnectivity-qt-module-Bluetooth",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtconnectivity.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtconnectivity?library_name=Bluetooth#src/bluetooth",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtconnectivity-Bluetooth?vcs_url=https://code.qt.io/qt/qtconnectivity.git&library_name=Bluetooth#src/bluetooth",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtconnectivity:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "Bluetooth",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtconnectivity-qt-module-Nfc",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtconnectivity.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtconnectivity?library_name=Nfc#src/nfc",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtconnectivity-Nfc?vcs_url=https://code.qt.io/qt/qtconnectivity.git&library_name=Nfc#src/nfc",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtconnectivity:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "Nfc",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "e7349b5f8323c9828355a3b8ef967c129b3bb2f5"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6Bluetooth_armeabi-v7a.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-Nfc",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "54f58e5542f75d2d160159f4baa464be4331c512"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6Nfc_armeabi-v7a.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-compiler",
            "comment": "SPDXRef-Package-qtconnectivity is built by compiler Clang (C:/Utils/Android/android-ndk-r26b/toolchains/llvm/prebuilt/windows-x86_64/bin/clang++.exe) version 17.0.2",
            "relatedSpdxElement": "SPDXRef-Package-qtconnectivity",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qtconnectivity",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtconnectivity-qt-module-Bluetooth",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtconnectivity-qt-module-Bluetooth",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Network",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtconnectivity-qt-module-Bluetooth",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtconnectivity",
            "relatedSpdxElement": "SPDXRef-Package-qtconnectivity-qt-module-Bluetooth",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtconnectivity-qt-module-Bluetooth",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtconnectivity-qt-module-Bluetooth",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/C:/Users/qt/work/qt/qtconnectivity/build/target/include/QtBluetooth/qtbluetoothexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/lecmaccalculator_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/removed_api.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetooth.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetooth.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothaddress.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothaddress.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothdevicediscoveryagent.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothdevicediscoveryagent.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothdevicediscoveryagent_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothdeviceinfo.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothdeviceinfo.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothdeviceinfo_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothhostinfo.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothhostinfo.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothhostinfo_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothlocaldevice.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothlocaldevice.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothlocaldevice_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothserver.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothserver.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothserver_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothservicediscoveryagent.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothservicediscoveryagent.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothservicediscoveryagent_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothserviceinfo.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothserviceinfo.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothserviceinfo_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothsocket.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothsocket.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothsocketbase.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothsocketbase_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothuuid.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothuuid.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergyadvertisingdata.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergyadvertisingdata.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergyadvertisingparameters.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergyadvertisingparameters.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergycharacteristic.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergycharacteristic.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergycharacteristicdata.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergycharacteristicdata.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergyconnectionparameters.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergyconnectionparameters.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergycontroller.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergycontroller.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergycontrollerbase.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergycontrollerbase_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergydescriptor.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergydescriptor.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergydescriptordata.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergydescriptordata.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergyservice.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergyservice.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergyservicedata.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergyservicedata.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergyserviceprivate.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergyserviceprivate_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qprivatelinearbuffer_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qtbluetoothglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qtbluetoothglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/C:/Users/qt/work/qt/qtconnectivity/build/target/src/bluetooth/qtbluetooth-config.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/C:/Users/qt/work/qt/qtconnectivity/build/target/src/bluetooth/qtbluetooth-config_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/C:/Users/qt/work/qt/qtconnectivity/build/target/src/bluetooth/meta_types/qt6bluetooth_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/androidbroadcastreceiver.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/androidbroadcastreceiver_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/devicediscoverybroadcastreceiver.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/devicediscoverybroadcastreceiver_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/inputstreamthread.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/inputstreamthread_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/jni_android.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/jni_android_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/localdevicebroadcastreceiver.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/localdevicebroadcastreceiver_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/lowenergynotificationhub.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/lowenergynotificationhub_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/serveracceptancethread.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/serveracceptancethread_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/servicediscoverybroadcastreceiver.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/servicediscoverybroadcastreceiver_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/androidutils.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/android/androidutils_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothdevicediscoveryagent_android.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothlocaldevice_android.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothserver_android.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothservicediscoveryagent_android.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothserviceinfo_android.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothsocket_android.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qbluetoothsocket_android_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergycontroller_android.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Bluetooth",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/bluetooth/qlowenergycontroller_android_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtconnectivity-qt-module-Nfc",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtconnectivity-qt-module-Nfc",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtconnectivity-qt-module-Nfc",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Gui",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtconnectivity",
            "relatedSpdxElement": "SPDXRef-Package-qtconnectivity-qt-module-Nfc",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtconnectivity-qt-module-Nfc",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Nfc",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtconnectivity-qt-module-Nfc",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-Nfc",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/C:/Users/qt/work/qt/qtconnectivity/build/target/include/QtNfc/qtnfcexports.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qndeffilter.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qndeffilter.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qndefmessage.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qndefmessage.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qndefnfcsmartposterrecord.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qndefnfcsmartposterrecord.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qndefnfcsmartposterrecord_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qndefnfctextrecord.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qndefnfctextrecord.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qndefnfcurirecord.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qndefnfcurirecord.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qndefrecord.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qndefrecord.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qndefrecord_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qnearfieldmanager.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qnearfieldmanager.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qnearfieldmanager_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qnearfieldtarget.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qnearfieldtarget.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qnearfieldtarget_p.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qnearfieldtarget_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qtnfcglobal.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qtnfcglobal_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/C:/Users/qt/work/qt/qtconnectivity/build/target/src/nfc/qtnfc-config.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/C:/Users/qt/work/qt/qtconnectivity/build/target/src/nfc/qtnfc-config_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/C:/Users/qt/work/qt/qtconnectivity/build/target/src/nfc/meta_types/qt6nfc_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/android/androidjninfc.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/android/androidjninfc_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/android/androidmainnewintentlistener.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/android/androidmainnewintentlistener_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qnearfieldmanager_android.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qnearfieldmanager_android_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qnearfieldtarget_android.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-Nfc",
            "comment": "C:/Users/qt/work/qt/qtconnectivity/src/nfc/qnearfieldtarget_android_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        }
    ]
}